/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*
 * misc.h -
 *     
\*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/

#ifndef  __misc__H
#define  __misc__H


/*======================================================================
 * Type Decleration
\*======================================================================*/
typedef int           BOOL;


/*======================================================================
 * Constant Decleration
\*======================================================================*/
#ifndef TRUE
#define  TRUE      1
#define  FALSE     0
#endif
#define  GLOBAL 

void      init_ncurses( void );
void      exit_ncurses( void );

void      myExit( int   code );


void              strmcpy( char **t, char *s );


/*======================================================================
 * Inline functions
\*======================================================================*/
#define   max( A, B)   ((A > B)? A : B )
#define   min( A, B)   ((A < B)? A : B )


#else   /* __misc__H */
#error  Header file misc.h included twice
#endif  /* __misc__H */

/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*
 *     
 * misc.h - End of File
\*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
